# TPS1100 Convert

!["logo"](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/raw/branch/main/My%20Project/Icons/TPS1100CNVRT_logo.png)

Program za pretvorbo GSI datotek v obliko primerno za branje.

Enostavna priprava in izvoz podatkov meritev v različnih oblikah...

- Zapisnik Meritev (podatki meritev kot so Hz, V, SD, HD,...)
- Koordinate Točk (seznam točk v obliki E, N, Ht, koda in klasifikacija)
- Priprava GSI datoteke iz seznama točk (Uvoz TXT/KOO/... datotek)

Program uporablja kodiranje podatkov za prepoznavo posameznih elementov meritev.
<br>

Aplikacija je še v razvoju, zato so nekatere možnosti omejene.<br>
Prav tako je trenutno potreben točno določen vrstni red zapisa podatkov v GSI datotekah. 

Zgodovino posodobite si lahko preberete [tukaj](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/src/branch/main/CHANGELOG.md)

Izdelal: Boris Bilc

Programski jezik: VB.NET

---

## Kodiranje Podatkov

| Koda | Podatki                |
|------|------------------------|
| 10   | Quick Set              |
| 20   | Set Azimuth            |
| 30   | Resection              |
| 40   | Free Station           |
| 50   | Ori. and Ht. Transfer  |
| 90   | Measured Data          |
| 99   | Imported/User Data     |


## Posnetki Programa

!["slika1"](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/raw/branch/main/My%20Project/img/screen1.png)
!["slika2"](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/raw/branch/main/My%20Project/img/screen2.png)
!["slika3"](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/raw/branch/main/My%20Project/img/screen3.png)
!["slika3"](https://multibox.nohost.me/gitea/boris/TPS1100-Convert/raw/branch/main/My%20Project/img/screen4.png)
